## ros-melodic-jsk-rviz-plugins 2.1.7

=== debian/changelog ===
ros-melodic-jsk-rviz-plugins (2.1.7-2stretch) stretch; urgency=high

  * Fix programming issues where functions were not getting return values, and variables were not being declared for types (#783 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/783>)
  * Support custom color for OverlayMenu (#775 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/775>)
  * add human skeleton rviz visualization(#740 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/740>)
    
      * jsk_recognition_msgs < 1.2.15 does not support human_skeleton_array_display.cpp
      * meloidc needs to include OGRE/OgreSceneManager.h
      * human_skeleton_array_display supports indigo build
      * add sphere at all edge ends
      * fix typo: skelton -> skeleton
      * add human skelton rviz visualization
    
  * Add fg_color/bg_color to OverlayMenu.msg (#776 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/776>)
  * [jsk_rviz_plugins] Add StringDisplay as a new display plugin (#728 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/728>)
  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * [jsk_rviz_plugin/PieChart] add clock wise rotate option for pie chart (#782 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/782>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * call processNormal when polygon points has more than 3 point (#771 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/771>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * fix typo CV_VERSION_MAJOR -> CV_MAJOR_VERSION
      * run 2to3 -f except
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
      * Merge remote-tracking branch 'ruvu/fix/noetic' into add_noetic
    
  * Add Rviz scene publisher (#773 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/773>)
  * Improve Overlay Visibility (#769 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/769>)
  * Contributors: Kei Okada, Patrick Beeson, Ramon Wijnands, Ryohei Ueda, Shingo Kitagawa, Yuki Furuta, Yuto Uchimi, Iory Yanokura, Taichi Hagashide

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-melodic-jsk-rviz-plugins (2.1.6-2stretch) stretch; urgency=high

  * [jsk_rviz_plugins] Add FontAwesome 5 (#759 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/759>)
    
      * Display FontAwesome 5 icons from pictogram.py and pictogram_all.py
      * Add FontAwesome 5
      * Add property to set position of overlay menu
    
  * Add option to specify width and height in VideoCapture plugin (#748 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/748>)
  * Add a script that convert String to OverlayText (#753 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/753>)
  * fix build failure of OgreSceneManager this block latest Melodic builds (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
  * Add property to set position of overlay menu (#758 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/758>)
  * [jsk_rviz_plugins/OverlayImage] Add property to ignore alpha channel of the image (#752 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/752>)
  * [motor_states_temperature_decomposer.py] add queue_size (#756 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/756>)
  * support jsk_rviz_plugin to be loaded in indigo (#739 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/739>)
  * [jsk_rviz_plugins/OverlayImageDisplay] Use memcpy to copy image data (#737 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/737>)
    
      * Use memcpy to copy image data from cv::Mat to QImagee instead of use QImage::setPixel() many times for optimization.
    
  * Transport hint for camera info (#736 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/736>)
    
      * Add field to select transport hint of CameraInfo display
        * Use ImageTransport to create subscriber to subscribe image topic in CameraInfoDisplay.
        * Use ImageTransportHintsProperty to choose image transport hints when subscribing image topic to visualize sensor_msgs/CameraInfo.
      * Use ImageTransportHintsProperty in OverlayImageDisplay class
      * Add ImageTransportHintsProperty class
        * ImageTransportHintsProperty is an rviz property class specialized for image_transport::TransportHints.
    
  * Add transport hint field to OverlayImage display (#730 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/730>)
    
      * Add transport hint field to OverlayImage display
        * Add an editable enum field to specify transport hint on OverlayImage display.
        * raw, compressed and theora are listed as pre-defined transport  hints.
    
  * Unsubscribe image topic when "use image" is unchecked in CameraInfo display (#732 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/732>)
  * Fix format specifier (#731 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/731>)
    
      * Use %u instead of %lu to print Ogre::Texture::getWidth() and Ogre::Texture::getHeight() because they return uint32.
    
  * Do not subscribe image topic when rviz startups in OverlayImage display (#733 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/733>)
    * Do not subscribe image topic when rviz startups in OverlayImage displayIn order not to subscribe image topic when rviz startups with OverlayImage display disabled, always verify if the display is enabled before the display subscribes topic.
    
      * Unsubscribe image topic when "use image" is unchecked in CameraInfo display
    
  * Support classification result visualization with approximate sync (#725 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/725>)
    
      * classification_result_visualizer: add option to use approximate synchronizer
    

