=== debian/control ===
Source: ros-melodic-jsk-rviz-plugins
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-face-detector, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-joint-state-publisher, ros-melodic-jsk-data, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-gui-msgs, ros-melodic-jsk-hark-msgs, ros-melodic-jsk-recognition-msgs, ros-melodic-jsk-recognition-utils, ros-melodic-jsk-topic-tools, ros-melodic-message-generation, ros-melodic-mk, ros-melodic-openni2-launch, ros-melodic-people-msgs, ros-melodic-pr2-description, ros-melodic-robot-state-publisher, ros-melodic-rosbuild, ros-melodic-rostest, ros-melodic-rviz, ros-melodic-std-msgs, ros-melodic-urdfdom-py, ros-melodic-view-controller-msgs
Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rviz_plugins/index.html
Standards-Version: 3.9.2

Package: ros-melodic-jsk-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-publisher, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-gui-msgs, ros-melodic-jsk-hark-msgs, ros-melodic-jsk-recognition-msgs, ros-melodic-jsk-recognition-utils, ros-melodic-jsk-topic-tools, ros-melodic-message-generation, ros-melodic-people-msgs, ros-melodic-posedetection-msgs, ros-melodic-rviz, ros-melodic-std-msgs, ros-melodic-urdfdom-py, ros-melodic-view-controller-msgs
Description: The jsk_rviz_plugins package
